package com.hfkj.openapi.v1.model.response;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @className: ResponseTransferAccountsModel
 * @author: HuRui
 * @date: 2023/10/23
 **/
@Data
public class ResponseTransferAccountsModel {

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 手续费
     */
    private BigDecimal shdFeeAmt;

    /**
     * 结算时间
     */
    private Date settleDate;

    /**
     * 备注
     */
    private String content;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 转账时间
     */
    private Date transferTime;

    /**
     * 签名
     */
    private String sign;

}
