package com.hfkj.openapi.v1.service;

import com.hfkj.entity.BsTransferAccounts;
import com.hfkj.openapi.v1.model.request.RequestTransferAccountsModel;
import com.hfkj.openapi.v1.model.response.ResponseTransferAccountsModel;

import java.util.Map;

/**
 * 转账
 * @className: OpenApiTransferAccountsService
 * @author: HuRui
 * @date: 2023/10/23
 **/
public interface OpenApiTransferAccountsService {

    /**
     * 转账
     * @param transferAccounts
     * @return
     */
    Map<String,Object> transfer(BsTransferAccounts transferAccounts) throws Exception;

    /**
     * 查询详情
     * @param orderNo
     * @return
     */
    ResponseTransferAccountsModel queryTransferInfo(String orderNo) throws Exception;

}
